<?php

namespace kernel\admin_themes\default;

use kernel\Assets;

class DefaultAdminThemeAssets extends Assets
{

    protected function createJS(): void
    {
        $this->registerJS(slug: "jquery", resource: "/js/jquery.min.js");
        $this->registerJS(slug: "popper", resource: "/js/popper.js");
        $this->registerJS(slug: "bootstrap", resource: "/js/bootstrap.min.js");
        $this->registerJS(slug: "main", resource: "/js/main.js");
    }

    protected function createCSS()
    {
        $this->registerCSS(slug: "font-awesome", resource: "https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.6.0/css/all.min.css", addResourceURI: false);
        $this->registerCSS(slug: "bootstrap", resource: "/css/bootstrap.min.css");
        $this->registerCSS(slug: "style", resource: "/css/style.css");
    }

}